This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 115301 - Error printing on Windows2K printer thru samba
Error printing on Windows2K printer thru samba
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
1
i586 Linux
high Severity high
: ---
: ---
Assigned To: Jay Fenlason
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-10 09:23 EST by Erik P. Olsen
Modified: 2014-08-31 19:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 14:01:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Erik P. Olsen 2004-02-10 09:23:29 EST
Description of problem: Print file never reaches the Windows system.
The Fedora printer driver reports: E [10/Feb/2004:14:36:48 +0100] [Job
16] Connection failed with error NT_STATUS_UNSUCCESSFUL


Version-Release number of selected component (if applicable): samba
3.0.0-15 and windows2K is update to latest level.


How reproducible:Happens all the time


Steps to Reproduce:
1. /etc/samba/smb.conf to contain:
[Inkjet]
        comment = Epson Stylus Photo 870 on EPOwork
        path = /var/spool/samba
        read only = No
        printable = Yes
        printer name = Inkjet

2.Queue type for printer is Networked Windows (SMB)
Share: \\EPOWORK\EPSONSTy
IP-address: 192.168.1.127
3. Print test page.
  
Actual results:


Expected results:


Additional info:
Comment 1 Erik P. Olsen 2004-02-13 06:25:22 EST
Have just updated redhat-config-printer and tried again to redefine
the remote printer and print a test page. The resultant error messages
are:

I [13/Feb/2004:12:14:54 +0100] Adding start banner page "none" to job 23.
I [13/Feb/2004:12:14:54 +0100] Adding end banner page "none" to job 23.
I [13/Feb/2004:12:14:54 +0100] Job 23 queued on 'Inkjet' by 'root'.
I [13/Feb/2004:12:14:54 +0100] Started filter
/usr/lib/cups/filter/pstops (PID 15722) for job 23.
I [13/Feb/2004:12:14:54 +0100] Started filter
/usr/lib/cups/filter/foomatic-rip (PID 15723) for job 23.
I [13/Feb/2004:12:14:54 +0100] Started backend
/usr/lib/cups/backend/smb (PID 15724) for job 23.
E [13/Feb/2004:12:14:55 +0100] [Job 23] Connection failed with error
NT_STATUS_UNSUCCESSFUL
E [13/Feb/2004:12:14:55 +0100] [Job 23] Unable to connect to SAMBA
host, will retry in 60 seconds...Loading NimbusRomNo9L-Regu font from
/usr/share/fonts/default/Type1/n021003l.pfb... 2452168 1077450 1662616
356238 0 done.
Comment 2 B Cowgill 2004-08-12 12:22:16 EDT
Hello I am encountering the same problem but have additional information.

I am able to print a text file using 
smbclient //DOGGETT/HP2100M
Password: ********
printmode text
print /etc/issue 
print /home/me/newline

So I know all the connectivity is possible.  The Windows box
has the share protected by a password which I have set 
in the print spool configuration
Share: //DOGGETT/HP2100M
Workgroup: XFILES
User: <blank>
Password: **********
Server hostname or IP address: <blank> or 192.168.1.100

The Printer Configuration program says 
Unable to connect to SAMBA host, will retry in 60 seconds...
Comment 3 Jay Fenlason 2004-08-17 14:22:38 EDT
What happens if you add a dummy username (anything at all, guest, 
nobody, etc)? 
Comment 4 Erik P. Olsen 2004-08-17 15:01:54 EDT
Sorry, I don't understand your question. Where should I add this username?
Comment 5 Matthew Miller 2006-07-11 13:23:21 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.

Thanks!

NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 6 Erik P. Olsen 2006-07-11 14:01:00 EDT
(In reply to comment #5)
> Fedora Core 1 is maintained by the Fedora Legacy project for security updates
> only. If this problem is a security issue, please reopen and reassign to the
> Fedora Legacy product. If it is not a security issue and hasn't been resolved in
> the current FC5 updates or in the FC6 test release, reopen and change the
> version to match.
> 
> Thanks!
> 
> NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
> project. After Fedora Core 6 Test 2 is released (currently scheduled for July
> 26th), there will be no more security updates for FC1. Please use these next two
> weeks to upgrade any remaining FC1 systems to a current release.
> 
> 

OK. Anyway, no longer interested, stopped using samba long ago.

Note You need to log in before you can comment on or make changes to this bug.